Planck2018 likelihood issue on colab. Google

Use of Cobaya. camb, CLASS, cosmomc, compilers, etc.
Post Reply
Karim M
Posts: 2
Joined: June 17 2022
Affiliation: UNAM

Planck2018 likelihood issue on colab. Google

Post by Karim M » December 09 2022

Hello,

In colab. google with python3.8 I've been trying to make a quick mcmc example of Cobaya usage by using CAMB and just considering the likelihood module planck_2018_lowl.TT. However, it appears in the installation of such likelihood the following error:

Code: Select all

[install] Successfully installed! Let's check it...
<frozen importlib._bootstrap>:219: RuntimeWarning: compiletime version 3.6 of module 'clik.lkl' does not match runtime version 3.8
<frozen importlib._bootstrap>:219: RuntimeWarning: builtins.type size changed, may indicate binary incompatibility. Expected 864 from C header, got 880 from PyObject
<frozen importlib._bootstrap>:219: RuntimeWarning: compiletime version 3.6 of module 'clik.lkl_lensing' does not match runtime version 3.8
[install] Installation check successful.
Afterwards, when I run the mcmc sampler with my yaml file, it displays the following:

Code: Select all

<frozen importlib._bootstrap>:219: RuntimeWarning: compiletime version 3.6 of module 'clik.lkl' does not match runtime version 3.8
.
.
. 
TypeError: Shared Cython type cython_function_or_method has the wrong size, try recompiling
I don't know where those errors come from. Any suggestion of what is going on would be appreciated :-)

Here I attach the colab. notebook where I am using python3.8 if you want to take a look at it.
https://colab.research.google.com/drive/1bBCXuQoL_8HsjpWAtR3gd8dmuNSxtb7Q?usp=sharing

Thanks in advance,
Cheers,
Karim

Antony Lewis
Posts: 1852
Joined: September 23 2004
Affiliation: University of Sussex
Contact:

Re: Planck2018 likelihood issue on colab. Google

Post by Antony Lewis » December 11 2022

Looks like some mixup of gcc/python versions between building clik and the running program.

Post Reply